Package org.linphone.core

# Class ConferenceSchedulerListenerStub

java.lang.Object
org.linphone.core.ConferenceSchedulerListenerStub

All Implemented Interfaces:
  `ConferenceSchedulerListener`

public class ConferenceSchedulerListenerStub extends Object implements ConferenceSchedulerListener

## Constructor Summary

Constructors
Constructor
Description
`ConferenceSchedulerListenerStub()`

## Method Summary

Modifier and Type
Method
Description
`void`
`onInvitationsSent(ConferenceScheduler conferenceScheduler, Address[] failedInvitations)`
Callback for notifying when conference invitations have been sent.
`void`
`onStateChanged(ConferenceScheduler conferenceScheduler, ConferenceScheduler.State state)`
Callback for notifying when a registration state has changed for the conference
scheduler.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ConferenceSchedulerListenerStub

public ConferenceSchedulerListenerStub()

## Method Details

### onStateChanged

public void onStateChanged(@NonNull ConferenceScheduler conferenceScheduler, ConferenceScheduler.State state)
Description copied from interface: `ConferenceSchedulerListener`
Callback for notifying when a registration state has changed for the conference
scheduler.

Specified by:
  `onStateChanged` in interface `ConferenceSchedulerListener`
Parameters:
  `conferenceScheduler` - LinphoneConferenceScheduler object whose state has
  changed.
  `state` - The current LinphoneConferenceSchedulerState.

### onInvitationsSent

public void onInvitationsSent(@NonNull ConferenceScheduler conferenceScheduler, @Nullable Address[] failedInvitations)
Description copied from interface: `ConferenceSchedulerListener`
Callback for notifying when conference invitations have been sent.
In case of error for some participants, their addresses will be given as
parameter.

Specified by:
  `onInvitationsSent` in interface `ConferenceSchedulerListener`
Parameters:
  `conferenceScheduler` - `ConferenceScheduler` object whose state has
  changed.
  `failedInvitations` - a list of addresses for which invitation couldn't be
  sent.